SDL_GetTextInputArea(3)

NAME
SDL_GetTextInputArea - Get the area used to type Unicode text input.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetTextInputArea(SDL_Window *window, SDL_Rect *rect, int *cursor);

DESCRIPTION
This returns the values previously set by

SDL_SetTextInputArea ().

FUNCTION PARAMETERS

window
    the window for which to query the text input area.

rect
    a pointer to an SDL_Rect
     filled in with the text input area, may be NULL.

cursor
    a pointer to the offset of the current cursor location relative to rect->x , may be NULL.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetTextInputArea(3)